//VCMV0101 JOB 248001,CLASS=A,MSGCLASS=H,MSGLEVEL=(1,1),
//             REGION=4M
//**********************************************************************
//* Sample job to test MQ IMS Bridge
//*
//* DD statements marked with '<== CHANGE' should be changed to
//* reflect your local environment.
//**********************************************************************
//* STEP1      EXEC CSQUTIL to set up the required MQ definitions
//* STEP2      EXEC PROGTS2 to MQPUT the test messages
//* STEP3      EXEC MGET    to MQGET the reply messages
//**********************************************************************
//*
//**********************************************************************
//* Set MQ and IMS Dataset qualifier variables. Remove these if not
//* required
//**********************************************************************
// SET MQMREL=D220596.D100MAS
// SET IMSREL=R9602
//**********************************************************************
//*
//*
//STEP1   EXEC PGM=CSQUTIL,PARM='VCPE'
//**********************************************************************
//* Change the following lines to point to your MQM authorised libraries
//**********************************************************************
//STEPLIB  DD  DSN=PUBVIC.&MQMREL..SCSQAUTH,DISP=SHR       <== CHANGE
//         DD  DSN=PUBVIC.&MQMREL..SCSQANLE,DISP=SHR       <== CHANGE
//SYSPRINT DD  SYSOUT=*
//SYSIN    DD  *
   COMMAND
//**********************************************************************
//* Change the following line to point to your MQ definitons input file
//**********************************************************************
//CSQUCMD  DD  DSN=VIC.IB.V114.MQ(IBA00101),DISP=SHR       <== CHANGE
//*
//*
//STEP2   EXEC PGM=PROGTS2
//**********************************************************************
//* Change the following line to point to your application load library
//**********************************************************************
//STEPLIB  DD  DSN=VIC.IB.V114.LOAD,DISP=SHR,              <== CHANGE
//             DCB=BLKSIZE=32760
//**********************************************************************
//* Change the following lines to point to your MQM authorised and load
//* libraries
//**********************************************************************
//         DD  DISP=SHR,DSN=PUBVIC.&MQMREL..SCSQAUTH       <== CHANGE
//         DD  DISP=SHR,DSN=PUBVIC.&MQMREL..SCSQANLE       <== CHANGE
//         DD  DISP=SHR,DSN=MQM.&MQMREL..SCSQLOAD          <== CHANGE
//**********************************************************************
//* Change the following lines to point to your C runtime libraries
//**********************************************************************
//         DD  DISP=SHR,DSN=PP.C370.V210.SEDCLINK          <== CHANGE
//         DD  DSN=PP.PLI.V230.PLILINK,DISP=SHR            <== CHANGE
//SYSUDUMP DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSPUNCH DD  SYSOUT=*
//**********************************************************************
//* Change the next line to point to your PROGTS2 input file
//**********************************************************************
//SYSIN    DD  DSN=VIC.IB.V114.DATA(IBA00101),DISP=SHR     <== CHANGE
//*
//*
//STEP3   EXEC PGM=MGET,
//     PARM=('-BH -W10  VIC114.IBA00101.REPLYQ  VCPE')
//**********************************************************************
//* Change the following line to point to your application load library
//**********************************************************************
//STEPLIB  DD  DSN=VIC.IB.V114.LOAD,DISP=SHR,              <== CHANGE
//             DCB=BLKSIZE=32760
//**********************************************************************
//* Change the following lines to point to your MQM authorised and load
//* libraries
//**********************************************************************
//         DD  DISP=SHR,DSN=PUBVIC.&MQMREL..SCSQAUTH       <== CHANGE
//         DD  DISP=SHR,DSN=PUBVIC.&MQMREL..SCSQANLE       <== CHANGE
//         DD  DISP=SHR,DSN=MQM.&MQMREL..SCSQLOAD          <== CHANGE
//**********************************************************************
//* Change the following lines to point to your C runtime libraries
//**********************************************************************
//         DD  DISP=SHR,DSN=PP.C370.V210.SEDCLINK          <== CHANGE
//         DD  DSN=PP.PLI.V230.PLILINK,DISP=SHR            <== CHANGE
//SYSPRINT DD  SYSOUT=*